var sk = 0; var sk = [0]; var pos; var created = 1;
var spawned = -1; var explode = 0; var peaceful = false;
var random_max = 30; 
var random_1 = 0; var random_2 = 5;  var itemID_1 = 3; var itemMin_1 = 1; var itemMax_1 = 1; var itemDmg_1 = 0;
var random_3 = 4; var random_4 = 22;  var itemID_2 = 341; var itemMin_2 = 1; var itemMax_2 = 3; var itemDmg_2 = 0;
var random_5 = 0; var random_6 = 0;  var itemID_3 = 0; var itemMin_3 = 0; var itemMax_3 = 0; var itemDmg_3 = 0;
var random_7 = 0; var random_8 = 0;  var itemID_4 = 0; var itemMin_4 = 0; var itemMax_4 = 0; var itemDmg_4 = 0;
var random_9 = 0; var random_10 = 0;  var itemID_5 = 0; var itemMin_5 = 0; var itemMax_5 = 0; var itemDmg_5 = 0;

var shealth = 14; var moveSpeed = 1.2;
var texture = "mob/mud_slime.png"; var damageSound = "";
var power = 1.5; var itemHeldID = 0; var gravity = 5;

for (var i = 0; spawnedEntities != null &&  i < spawnedEntities.length; i++) {var ent = spawnedEntities[i];
ent.setAttackStrength(power*ent.getHeight()); ent.setTexture(texture);
ent.setMaxHealth(shealth*ent.getHeight()); ent.setMoveSpeed(moveSpeed); 
ent.setHealth(ent.getMaxHealth()); ent.gravity = gravity/100;
var healthcare = ent.getHealth();
if (itemHeldID != 0) {ent.setHeldItem(Item(itemHeldID));}
var itemMax_2 = itemMax_2*ent.getHeight()}

function everyTick() {}